### Hierarchy

- Emitter
  - ProviderREST

### Implements

- IEmitter
- IPageProvider

## Index

### Constructors

- constructor

### Properties

- _data
- _error
- _folderId
- _pageId
- _requestOngoing
- _seqNo
- _stopped
- _timeout
- _timer
- _uuid
- listeners
- onListeners

### Accessors

- requestOngoing
- seqNo

### Methods

- destroy
- emit
- getData
- load
- off
- on
- onError
- register
- removeEvent
- removeEvents
- start
- startPolling
- stop
- tempGetContentOb
- tempGetSettingsOb
- unRegister

## Constructors

### constructor

- new ProviderREST(_pageId?: undefined | number, _folderId?: undefined | number, _uuid?: undefined | string): ProviderREST

- Overrides Emitter.constructor

  - Defined in Page/Provider.ts:48

  #### Parameters

  - ##### Optional _pageId: undefined | number

  - ##### Optional _folderId: undefined | number

  - ##### Optional _uuid: undefined | string

  #### Returns ProviderREST

## Properties

### Private _data

_data: any

- Defined in Page/Provider.ts:40

### Private _error

_error: boolean = false

- Defined in Page/Provider.ts:41

### Private Optional _folderId

_folderId: undefined | number

- Defined in Page/Provider.ts:50

### Private Optional _pageId

_pageId: undefined | number

- Defined in Page/Provider.ts:50

### Private _requestOngoing

_requestOngoing: boolean = false

- Defined in Page/Provider.ts:35

### Private _seqNo

_seqNo: number = 0

- Defined in Page/Provider.ts:39

### Private _stopped

_stopped: boolean = false

- Defined in Page/Provider.ts:34

### Private _timeout

_timeout: number = 1000

- Defined in Page/Provider.ts:37

### Private _timer

_timer: any

- Defined in Page/Provider.ts:36

### Private Optional _uuid

_uuid: undefined | string

- Defined in Page/Provider.ts:50

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

## Accessors

### requestOngoing

- set requestOngoing(value: boolean): void

- - Defined in Page/Provider.ts:46

  #### Parameters

  - ##### value: boolean

  #### Returns void

### seqNo

- set seqNo(seqNo: number): void

- - Defined in Page/Provider.ts:43

  #### Parameters

  - ##### seqNo: number

  #### Returns void

## Methods

### destroy

- destroy(): void

- - Defined in Page/Provider.ts:75

  Stop polling for page updates and stop all events

  #### Returns void

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### getData

- getData(): any

- - Defined in Page/Provider.ts:80

  #### Returns any

### Private load

- load(ignoreSeqNo?: boolean): Promise<IPage>

- - Defined in Page/Provider.ts:103

  Load page data from service

  #### Parameters

  - ##### Default value ignoreSeqNo: boolean = false

  #### Returns Promise<IPage>

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### Private onError

- onError(err: any): void

- - Defined in Page/Provider.ts:168

  #### Parameters

  - ##### err: any

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IPageProvider.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IPageProvider.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### start

- start(): void

- - Defined in Page/Provider.ts:59

  Start polling for page updates

  #### Returns void

### Private startPolling

- startPolling(): void

- - Defined in Page/Provider.ts:88

  Start the actual polling (loop)

  #### Returns void

### stop

- stop(): void

- - Defined in Page/Provider.ts:67

  Stop polling for page updates

  #### Returns void

### Private tempGetContentOb

- tempGetContentOb(data: IPage): any

- - Defined in Page/Provider.ts:179

  Temporary solution to get the required subset of data from full page object

  #### Parameters

  - ##### data: IPage

  #### Returns any

### Private tempGetSettingsOb

- tempGetSettingsOb(data: IPage): any

- - Defined in Page/Provider.ts:208

  Temporary solution to get the required subset of data from full page object

  #### Parameters

  - ##### data: IPage

  #### Returns any

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

Generated using TypeDoc